<script setup lang="ts">

import Button from 'primevue/button'
import { ref } from 'vue'
import { type Post } from '@/models'
import { useRouter, useRoute } from 'vue-router'

const router = useRouter()
const route = useRoute()
const post = ref<Post>();
fetch(`https://jsonplaceholder.typicode.com/posts/${route.params.id}`)
  .then((response) => response.json())
  .then((json) => {
    post.value = json;
  });
</script>

<template>
  <article v-if="post">
    <Button @click="router.back">Back</Button>
    <h1>{{post.title}}</h1>
    {{post.body}}}
  </article>
</template>

<style scoped>
  .my-blog {
    display: grid;
    grid-template-columns: 75% 25%;
    grid-column-gap: 10px;
    padding: 0 10px;
  }
</style>
